#ifndef MYX_MATH_CONSTANTS_HPP_
#define MYX_MATH_CONSTANTS_HPP_

#pragma once

#include <myx/base/config.hpp>

#include <cmath>
#include <type_traits>

namespace myx {

namespace math {

const auto ImpedanceOfFreeSpace = ( M_PI * 119.9169832 );

} // namespace math

} // namespace myx

#ifdef MYXLIB_HEADER_ONLY
#include "constants-inl.hpp"
#endif

#endif // MYX_MATH_CONSTANTS_HPP_
